image: ubuntu:latest

variables:
  FOLDER_ID: "1nJXbIEGukk73qM8_WfpwTi03292Yrbeg"
  RELEASE_NAME: "2003-the-morning-of-the-new-millennium"

  # enables Accept-Ranges: bytes
  FF_USE_FASTZIP: "true"
  ARTIFACT_COMPRESSION_LEVEL: "fastest"

pages:
  when: manual

  before_script:
    - export DEBIAN_FRONTEND=noninteractive
    - apt-get update -qq && apt-get install -y -qq ffmpeg curl git zip
    - curl -sL https://deb.nodesource.com/setup_16.x -o nodesource_setup.sh && bash nodesource_setup.sh && apt-get install -y -qq nodejs

  script:
    - npm install -g gitlab:cn-cdn/album-publisher
    - album-publisher

  artifacts:
    paths:
      - public

  only:
    - main
